# AutoContextItemTypeReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoContextItemTypeReset (StaticContext *context, const StaticType &sType)
| ~AutoContextItemTypeReset ()

## Protected Attributes

StaticContext * | context_
StaticType | sType_

## Constructor & Destructor Documentation

AutoContextItemTypeReset::AutoContextItemTypeReset | ( | StaticContext * | context,
|  | const StaticType & | sType
| ) | `[inline]`

AutoContextItemTypeReset::~AutoContextItemTypeReset | ( |  | ) | `[inline]`

## Member Data Documentation

StaticContext* AutoContextItemTypeReset::context_ `[protected]`

StaticType AutoContextItemTypeReset::sType_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp